Last Comment Bug 707488 - Crash in nsHTMLTextFieldAccessible::NativeRole or nsXULTextFieldAccessible::NativeRole
: Crash in nsHTMLTextFieldAccessible::NativeRole or nsXULTextFieldAccessible::N...
Status: RESOLVED FIXED
: crash
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: x86 Windows 7
: -- critical (vote)
: mozilla14
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 539683
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-04 02:09 PST by Scoobidiver (away)
Modified: 2012-04-12 03:42 PDT (History)
1 user (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Scoobidiver (away) 2011-12-04 02:09:12 PST
It's a low volume crash.

Signature	nsHTMLTextFieldAccessible::NativeRole()
UUID	d26a942d-1420-4e2c-8245-351d52111203
Date Processed	2011-12-03 17:07:13.830418
Uptime	29
Last Crash	1.8 weeks before submission
Install Age	8.8 hours since version was first installed.
Install Time	2011-12-03 16:20:21
Product	Firefox
Version	11.0a1
Build ID	20111203031109
Release Channel	nightly
OS	Windows NT
OS Version	6.1.7601 Service Pack 1
Build Architecture	x86
Build Architecture Info	GenuineIntel family 6 model 15 stepping 11
Crash Reason	EXCEPTION_ACCESS_VIOLATION_READ
Crash Address	0x0
App Notes 	AdapterVendorID: 10de, AdapterDeviceID: 06e4, AdapterSubsysID: 00000000, AdapterDriverVersion: 8.17.12.7533
EMCheckCompatibility	True

Frame 	Module 	Signature [Expand] 	Source
0 	xul.dll 	nsHTMLTextFieldAccessible::NativeRole 	accessible/src/html/nsHTMLFormControlAccessible.cpp:436
1 	xul.dll 	nsAccessible::Role 	accessible/src/base/nsAccessible.h:162
2 	xul.dll 	nsHyperTextAccessible::GetPosAndText 	accessible/src/html/nsHyperTextAccessible.cpp:287
3 	xul.dll 	nsHyperTextAccessible::GetRangeExtents 	accessible/src/html/nsHyperTextAccessible.cpp:1282
4 	xul.dll 	nsHyperTextAccessible::GetCharacterExtents 	accessible/src/html/nsHyperTextAccessible.cpp:1268
5 	xul.dll 	CAccessibleText::get_characterExtents 	accessible/src/msaa/CAccessibleText.cpp:158
6 	rpcrt4.dll 	Invoke 	
7 	rpcrt4.dll 	NdrStubCall2 	
8 	ole32.dll 	CStdStubBuffer_Invoke 	
9 	ole32.dll 	SyncStubInvoke 	
10 	ole32.dll 	StubInvoke 	
11 	ole32.dll 	CCtxComChnl::ContextInvoke 	
12 	ole32.dll 	MTAInvoke 	
13 	ole32.dll 	STAInvoke 	
14 	ole32.dll 	AppInvoke 	
15 	ole32.dll 	ComInvokeWithLockAndIPID 	
16 	ole32.dll 	ComInvoke 	
17 	ole32.dll 	ThreadDispatch 	
18 	ole32.dll 	ThreadWndProc 	
19 	user32.dll 	InternalCallWinProc 	
20 	user32.dll 	UserCallWinProcCheckWow 	
21 	user32.dll 	DispatchMessageWorker 	
22 	user32.dll 	DispatchMessageW 	
23 	xul.dll 	nsAppShell::ProcessNextNativeEvent 	widget/src/windows/nsAppShell.cpp:344
24 	xul.dll 	nsBaseAppShell::OnProcessNextEvent 	widget/src/xpwidgets/nsBaseAppShell.cpp:324
25 	xul.dll 	nsThread::ProcessNextEvent 	xpcom/threads/nsThread.cpp:587
26 	nspr4.dll 	PR_Unlock 	nsprpub/pr/src/threads/combined/prulock.c:347
27 	xul.dll 	MessageLoop::RunHandler 	ipc/chromium/src/base/message_loop.cc:201
28 	xul.dll 	_SEH_epilog4 	
29 	xul.dll 	MessageLoop::Run 	ipc/chromium/src/base/message_loop.cc:175
30 	xul.dll 	nsImageBoxFrame::OnStopDecode 	layout/xul/base/src/nsImageBoxFrame.cpp:608
31 	xul.dll 	nsBaseAppShell::Run 	widget/src/xpwidgets/nsBaseAppShell.cpp:189
32 		@0x250e4ef 	

More crash reports at:
https://crash-stats.mozilla.com/report/list?range_value=30&range_unit=days&signature=nsHTMLTextFieldAccessible%3A%3ANativeRole%28%29
Comment 1 alexander :surkov 2012-04-10 08:35:05 PDT
should be fixed by bug 539683, please reopen if you see it

Note You need to log in before you can comment on or make changes to this bug.